        #include <cmrc/cmrc.hpp>
#include <map>
#include <utility>

namespace cmrc {
namespace vmix {

namespace res_chars {
// These are the files which are available in this resource library
// Pointers to ./rsc/fonts/Hack-Regular.ttf
extern const char* const f_268f_fonts_Hack_Regular_ttf_begin;
extern const char* const f_268f_fonts_Hack_Regular_ttf_end;
// Pointers to ./rsc/fonts/Roboto-Regular.ttf
extern const char* const f_1377_fonts_Roboto_Regular_ttf_begin;
extern const char* const f_1377_fonts_Roboto_Regular_ttf_end;
// Pointers to ./rsc/fonts/Roboto-Bold.ttf
extern const char* const f_dc41_fonts_Roboto_Bold_ttf_begin;
extern const char* const f_dc41_fonts_Roboto_Bold_ttf_end;
// Pointers to ./rsc/fonts/Roboto-Italic.ttf
extern const char* const f_6fe2_fonts_Roboto_Italic_ttf_begin;
extern const char* const f_6fe2_fonts_Roboto_Italic_ttf_end;
// Pointers to rsc/fonts/fa-regular-400.ttf
extern const char* const f_8ea3_fonts_fa_regular_400_ttf_begin;
extern const char* const f_8ea3_fonts_fa_regular_400_ttf_end;
// Pointers to rsc/fonts/fa-solid-900.ttf
extern const char* const f_2f86_fonts_fa_solid_900_ttf_begin;
extern const char* const f_2f86_fonts_fa_solid_900_ttf_end;
// Pointers to ./rsc/shaders/simple.fs
extern const char* const f_fb3e_shaders_simple_fs_begin;
extern const char* const f_fb3e_shaders_simple_fs_end;
// Pointers to ./rsc/shaders/simple.vs
extern const char* const f_0354_shaders_simple_vs_begin;
extern const char* const f_0354_shaders_simple_vs_end;
// Pointers to ./rsc/shaders/image.fs
extern const char* const f_8148_shaders_image_fs_begin;
extern const char* const f_8148_shaders_image_fs_end;
// Pointers to ./rsc/shaders/mask_elipse.fs
extern const char* const f_00f6_shaders_mask_elipse_fs_begin;
extern const char* const f_00f6_shaders_mask_elipse_fs_end;
// Pointers to ./rsc/shaders/mask_box.fs
extern const char* const f_006d_shaders_mask_box_fs_begin;
extern const char* const f_006d_shaders_mask_box_fs_end;
// Pointers to ./rsc/shaders/mask_round.fs
extern const char* const f_5a1d_shaders_mask_round_fs_begin;
extern const char* const f_5a1d_shaders_mask_round_fs_end;
// Pointers to ./rsc/shaders/mask_horizontal.fs
extern const char* const f_72f7_shaders_mask_horizontal_fs_begin;
extern const char* const f_72f7_shaders_mask_horizontal_fs_end;
// Pointers to ./rsc/shaders/mask_vertical.fs
extern const char* const f_7f72_shaders_mask_vertical_fs_begin;
extern const char* const f_7f72_shaders_mask_vertical_fs_end;
// Pointers to ./rsc/shaders/mask_draw.fs
extern const char* const f_f5e2_shaders_mask_draw_fs_begin;
extern const char* const f_f5e2_shaders_mask_draw_fs_end;
// Pointers to ./rsc/shaders/image.vs
extern const char* const f_c8bb_shaders_image_vs_begin;
extern const char* const f_c8bb_shaders_image_vs_end;
// Pointers to ./rsc/shaders/imageprocessing.fs
extern const char* const f_e055_shaders_imageprocessing_fs_begin;
extern const char* const f_e055_shaders_imageprocessing_fs_end;
// Pointers to ./rsc/shaders/imageblending.fs
extern const char* const f_846f_shaders_imageblending_fs_begin;
extern const char* const f_846f_shaders_imageblending_fs_end;
// Pointers to ./rsc/images/mask_vignette.png
extern const char* const f_70a1_images_mask_vignette_png_begin;
extern const char* const f_70a1_images_mask_vignette_png_end;
// Pointers to ./rsc/images/mask_halo.png
extern const char* const f_7a4f_images_mask_halo_png_begin;
extern const char* const f_7a4f_images_mask_halo_png_end;
// Pointers to ./rsc/images/mask_glow.png
extern const char* const f_b5d8_images_mask_glow_png_begin;
extern const char* const f_b5d8_images_mask_glow_png_end;
// Pointers to ./rsc/images/mask_circle.png
extern const char* const f_6f49_images_mask_circle_png_begin;
extern const char* const f_6f49_images_mask_circle_png_end;
// Pointers to ./rsc/images/mask_roundcorner.png
extern const char* const f_755b_images_mask_roundcorner_png_begin;
extern const char* const f_755b_images_mask_roundcorner_png_end;
// Pointers to ./rsc/images/mask_linear_top.png
extern const char* const f_dab6_images_mask_linear_top_png_begin;
extern const char* const f_dab6_images_mask_linear_top_png_end;
// Pointers to ./rsc/images/mask_linear_bottom.png
extern const char* const f_a91e_images_mask_linear_bottom_png_begin;
extern const char* const f_a91e_images_mask_linear_bottom_png_end;
// Pointers to ./rsc/images/mask_linear_left.png
extern const char* const f_b507_images_mask_linear_left_png_begin;
extern const char* const f_b507_images_mask_linear_left_png_end;
// Pointers to ./rsc/images/mask_linear_right.png
extern const char* const f_fc77_images_mask_linear_right_png_begin;
extern const char* const f_fc77_images_mask_linear_right_png_end;
// Pointers to ./rsc/images/vimix_256x256.png
extern const char* const f_73e4_images_vimix_256x256_png_begin;
extern const char* const f_73e4_images_vimix_256x256_png_end;
// Pointers to ./rsc/images/icons.dds
extern const char* const f_4723_images_icons_dds_begin;
extern const char* const f_4723_images_icons_dds_end;
// Pointers to ./rsc/images/gradient_0_cross_linear.png
extern const char* const f_60ea_images_gradient_0_cross_linear_png_begin;
extern const char* const f_60ea_images_gradient_0_cross_linear_png_end;
// Pointers to ./rsc/images/gradient_1_black_linear.png
extern const char* const f_b573_images_gradient_1_black_linear_png_begin;
extern const char* const f_b573_images_gradient_1_black_linear_png_end;
// Pointers to ./rsc/images/gradient_2_cross_quad.png
extern const char* const f_c74b_images_gradient_2_cross_quad_png_begin;
extern const char* const f_c74b_images_gradient_2_cross_quad_png_end;
// Pointers to ./rsc/images/gradient_3_black_quad.png
extern const char* const f_ac10_images_gradient_3_black_quad_png_begin;
extern const char* const f_ac10_images_gradient_3_black_quad_png_end;
// Pointers to ./rsc/images/transparencygrid.png
extern const char* const f_ccc5_images_transparencygrid_png_begin;
extern const char* const f_ccc5_images_transparencygrid_png_end;
// Pointers to ./rsc/images/shadow.dds
extern const char* const f_bbc6_images_shadow_dds_begin;
extern const char* const f_bbc6_images_shadow_dds_end;
// Pointers to ./rsc/images/glow.dds
extern const char* const f_8f14_images_glow_dds_begin;
extern const char* const f_8f14_images_glow_dds_end;
// Pointers to ./rsc/images/checker.dds
extern const char* const f_e581_images_checker_dds_begin;
extern const char* const f_e581_images_checker_dds_end;
// Pointers to ./rsc/images/shadow_perspective.dds
extern const char* const f_673f_images_shadow_perspective_dds_begin;
extern const char* const f_673f_images_shadow_perspective_dds_end;
// Pointers to ./rsc/images/soft_shadow.dds
extern const char* const f_77e4_images_soft_shadow_dds_begin;
extern const char* const f_77e4_images_soft_shadow_dds_end;
// Pointers to ./rsc/mesh/disk.ply
extern const char* const f_a034_mesh_disk_ply_begin;
extern const char* const f_a034_mesh_disk_ply_end;
// Pointers to ./rsc/mesh/circle.ply
extern const char* const f_c899_mesh_circle_ply_begin;
extern const char* const f_c899_mesh_circle_ply_end;
// Pointers to ./rsc/mesh/corner.ply
extern const char* const f_43d9_mesh_corner_ply_begin;
extern const char* const f_43d9_mesh_corner_ply_end;
// Pointers to ./rsc/mesh/shadow.ply
extern const char* const f_0c34_mesh_shadow_ply_begin;
extern const char* const f_0c34_mesh_shadow_ply_end;
// Pointers to ./rsc/mesh/glow.ply
extern const char* const f_525f_mesh_glow_ply_begin;
extern const char* const f_525f_mesh_glow_ply_end;
// Pointers to ./rsc/mesh/border_round_left.ply
extern const char* const f_2c07_mesh_border_round_left_ply_begin;
extern const char* const f_2c07_mesh_border_round_left_ply_end;
// Pointers to ./rsc/mesh/border_round.ply
extern const char* const f_4b70_mesh_border_round_ply_begin;
extern const char* const f_4b70_mesh_border_round_ply_end;
// Pointers to ./rsc/mesh/border_top.ply
extern const char* const f_09c1_mesh_border_top_ply_begin;
extern const char* const f_09c1_mesh_border_top_ply_end;
// Pointers to ./rsc/mesh/border_perspective_round_left.ply
extern const char* const f_7cae_mesh_border_perspective_round_left_ply_begin;
extern const char* const f_7cae_mesh_border_perspective_round_left_ply_end;
// Pointers to ./rsc/mesh/border_perspective_round.ply
extern const char* const f_d0bc_mesh_border_perspective_round_ply_begin;
extern const char* const f_d0bc_mesh_border_perspective_round_ply_end;
// Pointers to ./rsc/mesh/border_perspective_top.ply
extern const char* const f_3d62_mesh_border_perspective_top_ply_begin;
extern const char* const f_3d62_mesh_border_perspective_top_ply_end;
// Pointers to ./rsc/mesh/border_sharp.ply
extern const char* const f_1eb7_mesh_border_sharp_ply_begin;
extern const char* const f_1eb7_mesh_border_sharp_ply_end;
// Pointers to ./rsc/mesh/border_large_round_left.ply
extern const char* const f_1c1e_mesh_border_large_round_left_ply_begin;
extern const char* const f_1c1e_mesh_border_large_round_left_ply_end;
// Pointers to ./rsc/mesh/border_large_round.ply
extern const char* const f_5d7b_mesh_border_large_round_ply_begin;
extern const char* const f_5d7b_mesh_border_large_round_ply_end;
// Pointers to ./rsc/mesh/border_large_top.ply
extern const char* const f_9453_mesh_border_large_top_ply_begin;
extern const char* const f_9453_mesh_border_large_top_ply_end;
// Pointers to ./rsc/mesh/border_handles_rotation.ply
extern const char* const f_0f1d_mesh_border_handles_rotation_ply_begin;
extern const char* const f_0f1d_mesh_border_handles_rotation_ply_end;
// Pointers to ./rsc/mesh/border_handles_scale.ply
extern const char* const f_e969_mesh_border_handles_scale_ply_begin;
extern const char* const f_e969_mesh_border_handles_scale_ply_end;
// Pointers to ./rsc/mesh/border_handles_overlay.ply
extern const char* const f_6aea_mesh_border_handles_overlay_ply_begin;
extern const char* const f_6aea_mesh_border_handles_overlay_ply_end;
// Pointers to ./rsc/mesh/border_handles_overlay_filled.ply
extern const char* const f_f32e_mesh_border_handles_overlay_filled_ply_begin;
extern const char* const f_f32e_mesh_border_handles_overlay_filled_ply_end;
// Pointers to ./rsc/mesh/border_handles_sharp.ply
extern const char* const f_359c_mesh_border_handles_sharp_ply_begin;
extern const char* const f_359c_mesh_border_handles_sharp_ply_end;
// Pointers to ./rsc/mesh/border_handles_menu.ply
extern const char* const f_a958_mesh_border_handles_menu_ply_begin;
extern const char* const f_a958_mesh_border_handles_menu_ply_end;
// Pointers to ./rsc/mesh/border_handles_crop.ply
extern const char* const f_5b0d_mesh_border_handles_crop_ply_begin;
extern const char* const f_5b0d_mesh_border_handles_crop_ply_end;
// Pointers to ./rsc/mesh/border_handles_lock.ply
extern const char* const f_228f_mesh_border_handles_lock_ply_begin;
extern const char* const f_228f_mesh_border_handles_lock_ply_end;
// Pointers to ./rsc/mesh/border_handles_lock_open.ply
extern const char* const f_fdf9_mesh_border_handles_lock_open_ply_begin;
extern const char* const f_fdf9_mesh_border_handles_lock_open_ply_end;
// Pointers to ./rsc/mesh/border_handles_shadow.ply
extern const char* const f_c171_mesh_border_handles_shadow_ply_begin;
extern const char* const f_c171_mesh_border_handles_shadow_ply_end;
// Pointers to ./rsc/mesh/border_large_sharp.ply
extern const char* const f_7b54_mesh_border_large_sharp_ply_begin;
extern const char* const f_7b54_mesh_border_large_sharp_ply_end;
// Pointers to ./rsc/mesh/border_vertical_overlay.ply
extern const char* const f_c940_mesh_border_vertical_overlay_ply_begin;
extern const char* const f_c940_mesh_border_vertical_overlay_ply_end;
// Pointers to ./rsc/mesh/perspective_layer.ply
extern const char* const f_663a_mesh_perspective_layer_ply_begin;
extern const char* const f_663a_mesh_perspective_layer_ply_end;
// Pointers to ./rsc/mesh/perspective_axis_left.ply
extern const char* const f_df8f_mesh_perspective_axis_left_ply_begin;
extern const char* const f_df8f_mesh_perspective_axis_left_ply_end;
// Pointers to ./rsc/mesh/perspective_axis_right.ply
extern const char* const f_6057_mesh_perspective_axis_right_ply_begin;
extern const char* const f_6057_mesh_perspective_axis_right_ply_end;
// Pointers to ./rsc/mesh/shadow_perspective.ply
extern const char* const f_5171_mesh_shadow_perspective_ply_begin;
extern const char* const f_5171_mesh_shadow_perspective_ply_end;
// Pointers to ./rsc/mesh/point.ply
extern const char* const f_b922_mesh_point_ply_begin;
extern const char* const f_b922_mesh_point_ply_end;
// Pointers to ./rsc/mesh/square_point.ply
extern const char* const f_36de_mesh_square_point_ply_begin;
extern const char* const f_36de_mesh_square_point_ply_end;
// Pointers to ./rsc/mesh/triangle_point.ply
extern const char* const f_6d8d_mesh_triangle_point_ply_begin;
extern const char* const f_6d8d_mesh_triangle_point_ply_end;
// Pointers to ./rsc/mesh/icon_video.ply
extern const char* const f_428b_mesh_icon_video_ply_begin;
extern const char* const f_428b_mesh_icon_video_ply_end;
// Pointers to ./rsc/mesh/icon_image.ply
extern const char* const f_2046_mesh_icon_image_ply_begin;
extern const char* const f_2046_mesh_icon_image_ply_end;
// Pointers to ./rsc/mesh/icon_render.ply
extern const char* const f_4fa5_mesh_icon_render_ply_begin;
extern const char* const f_4fa5_mesh_icon_render_ply_end;
// Pointers to ./rsc/mesh/icon_gear.ply
extern const char* const f_3d69_mesh_icon_gear_ply_begin;
extern const char* const f_3d69_mesh_icon_gear_ply_end;
// Pointers to ./rsc/mesh/icon_camera.ply
extern const char* const f_b0bf_mesh_icon_camera_ply_begin;
extern const char* const f_b0bf_mesh_icon_camera_ply_end;
// Pointers to ./rsc/mesh/icon_share.ply
extern const char* const f_184f_mesh_icon_share_ply_begin;
extern const char* const f_184f_mesh_icon_share_ply_end;
// Pointers to ./rsc/mesh/icon_clone.ply
extern const char* const f_998e_mesh_icon_clone_ply_begin;
extern const char* const f_998e_mesh_icon_clone_ply_end;
// Pointers to ./rsc/mesh/icon_vimix.ply
extern const char* const f_3382_mesh_icon_vimix_ply_begin;
extern const char* const f_3382_mesh_icon_vimix_ply_end;
// Pointers to ./rsc/mesh/icon_group_vimix.ply
extern const char* const f_7d7f_mesh_icon_group_vimix_ply_begin;
extern const char* const f_7d7f_mesh_icon_group_vimix_ply_end;
// Pointers to ./rsc/mesh/icon_circles.ply
extern const char* const f_7f41_mesh_icon_circles_ply_begin;
extern const char* const f_7f41_mesh_icon_circles_ply_end;
// Pointers to ./rsc/mesh/icon_dots.ply
extern const char* const f_5d38_mesh_icon_dots_ply_begin;
extern const char* const f_5d38_mesh_icon_dots_ply_end;
// Pointers to ./rsc/mesh/icon_empty.ply
extern const char* const f_1faf_mesh_icon_empty_ply_begin;
extern const char* const f_1faf_mesh_icon_empty_ply_end;
// Pointers to ./rsc/mesh/icon_lock.ply
extern const char* const f_88af_mesh_icon_lock_ply_begin;
extern const char* const f_88af_mesh_icon_lock_ply_end;
// Pointers to ./rsc/mesh/icon_unlock.ply
extern const char* const f_7a57_mesh_icon_unlock_ply_begin;
extern const char* const f_7a57_mesh_icon_unlock_ply_end;
// Pointers to ./rsc/mesh/icon_circle.ply
extern const char* const f_d8af_mesh_icon_circle_ply_begin;
extern const char* const f_d8af_mesh_icon_circle_ply_end;
// Pointers to ./rsc/mesh/icon_square.ply
extern const char* const f_f454_mesh_icon_square_ply_begin;
extern const char* const f_f454_mesh_icon_square_ply_end;
// Pointers to ./rsc/mesh/icon_cross.ply
extern const char* const f_3a54_mesh_icon_cross_ply_begin;
extern const char* const f_3a54_mesh_icon_cross_ply_end;
// Pointers to ./rsc/mesh/icon_clock.ply
extern const char* const f_2c00_mesh_icon_clock_ply_begin;
extern const char* const f_2c00_mesh_icon_clock_ply_end;
// Pointers to ./rsc/mesh/icon_clock_hand.ply
extern const char* const f_16dc_mesh_icon_clock_hand_ply_begin;
extern const char* const f_16dc_mesh_icon_clock_hand_ply_end;
// Pointers to ./rsc/mesh/icon_grid.ply
extern const char* const f_52ff_mesh_icon_grid_ply_begin;
extern const char* const f_52ff_mesh_icon_grid_ply_end;
// Pointers to ./rsc/mesh/icon_rightarrow.ply
extern const char* const f_2ed3_mesh_icon_rightarrow_ply_begin;
extern const char* const f_2ed3_mesh_icon_rightarrow_ply_end;
// Pointers to ./rsc/mesh/icon_crop.ply
extern const char* const f_7797_mesh_icon_crop_ply_begin;
extern const char* const f_7797_mesh_icon_crop_ply_end;
// Pointers to ./rsc/mesh/icon_eye.ply
extern const char* const f_8ab3_mesh_icon_eye_ply_begin;
extern const char* const f_8ab3_mesh_icon_eye_ply_end;
// Pointers to ./rsc/mesh/icon_eye_slash.ply
extern const char* const f_8a96_mesh_icon_eye_slash_ply_begin;
extern const char* const f_8a96_mesh_icon_eye_slash_ply_end;
// Pointers to ./rsc/mesh/icon_vector_square_slash.ply
extern const char* const f_d131_mesh_icon_vector_square_slash_ply_begin;
extern const char* const f_d131_mesh_icon_vector_square_slash_ply_end;
// Pointers to ./rsc/mesh/icon_cube.ply
extern const char* const f_59ce_mesh_icon_cube_ply_begin;
extern const char* const f_59ce_mesh_icon_cube_ply_end;
// Pointers to ./rsc/mesh/icon_sequence.ply
extern const char* const f_73ab_mesh_icon_sequence_ply_begin;
extern const char* const f_73ab_mesh_icon_sequence_ply_end;
// Pointers to ./rsc/mesh/icon_receive.ply
extern const char* const f_73b9_mesh_icon_receive_ply_begin;
extern const char* const f_73b9_mesh_icon_receive_ply_end;
// Pointers to ./rsc/mesh/h_line.ply
extern const char* const f_c6d4_mesh_h_line_ply_begin;
extern const char* const f_c6d4_mesh_h_line_ply_end;
// Pointers to ./rsc/mesh/h_mark.ply
extern const char* const f_671f_mesh_h_mark_ply_begin;
extern const char* const f_671f_mesh_h_mark_ply_end;
// Pointers to ./rsc/shaders/filters/default.glsl
extern const char* const f_d4ff_shaders_filters_default_glsl_begin;
extern const char* const f_d4ff_shaders_filters_default_glsl_end;
// Pointers to ./rsc/shaders/filters/bloom.glsl
extern const char* const f_9076_shaders_filters_bloom_glsl_begin;
extern const char* const f_9076_shaders_filters_bloom_glsl_end;
// Pointers to ./rsc/shaders/filters/bokeh.glsl
extern const char* const f_2462_shaders_filters_bokeh_glsl_begin;
extern const char* const f_2462_shaders_filters_bokeh_glsl_end;
// Pointers to ./rsc/shaders/filters/talk.glsl
extern const char* const f_c6f3_shaders_filters_talk_glsl_begin;
extern const char* const f_c6f3_shaders_filters_talk_glsl_end;
// Pointers to ./rsc/shaders/filters/fisheye.glsl
extern const char* const f_c114_shaders_filters_fisheye_glsl_begin;
extern const char* const f_c114_shaders_filters_fisheye_glsl_end;
// Pointers to ./rsc/shaders/filters/blur.glsl
extern const char* const f_72a5_shaders_filters_blur_glsl_begin;
extern const char* const f_72a5_shaders_filters_blur_glsl_end;
// Pointers to ./rsc/shaders/filters/blur_1.glsl
extern const char* const f_373d_shaders_filters_blur_1_glsl_begin;
extern const char* const f_373d_shaders_filters_blur_1_glsl_end;
// Pointers to ./rsc/shaders/filters/blur_2.glsl
extern const char* const f_f32e_shaders_filters_blur_2_glsl_begin;
extern const char* const f_f32e_shaders_filters_blur_2_glsl_end;
// Pointers to ./rsc/shaders/filters/hashedblur.glsl
extern const char* const f_3f8b_shaders_filters_hashedblur_glsl_begin;
extern const char* const f_3f8b_shaders_filters_hashedblur_glsl_end;
// Pointers to ./rsc/shaders/filters/sharp.glsl
extern const char* const f_98e8_shaders_filters_sharp_glsl_begin;
extern const char* const f_98e8_shaders_filters_sharp_glsl_end;
// Pointers to ./rsc/shaders/filters/sharpen.glsl
extern const char* const f_335b_shaders_filters_sharpen_glsl_begin;
extern const char* const f_335b_shaders_filters_sharpen_glsl_end;
// Pointers to ./rsc/shaders/filters/sharpen_1.glsl
extern const char* const f_8156_shaders_filters_sharpen_1_glsl_begin;
extern const char* const f_8156_shaders_filters_sharpen_1_glsl_end;
// Pointers to ./rsc/shaders/filters/sharpen_2.glsl
extern const char* const f_f603_shaders_filters_sharpen_2_glsl_begin;
extern const char* const f_f603_shaders_filters_sharpen_2_glsl_end;
// Pointers to ./rsc/shaders/filters/sharpenedge.glsl
extern const char* const f_46f9_shaders_filters_sharpenedge_glsl_begin;
extern const char* const f_46f9_shaders_filters_sharpenedge_glsl_end;
// Pointers to ./rsc/shaders/filters/chromakey.glsl
extern const char* const f_5ae8_shaders_filters_chromakey_glsl_begin;
extern const char* const f_5ae8_shaders_filters_chromakey_glsl_end;
// Pointers to ./rsc/shaders/filters/bilinear.glsl
extern const char* const f_a54a_shaders_filters_bilinear_glsl_begin;
extern const char* const f_a54a_shaders_filters_bilinear_glsl_end;
// Pointers to ./rsc/shaders/filters/edge.glsl
extern const char* const f_0d3b_shaders_filters_edge_glsl_begin;
extern const char* const f_0d3b_shaders_filters_edge_glsl_end;
// Pointers to ./rsc/shaders/filters/sobel.glsl
extern const char* const f_7b2a_shaders_filters_sobel_glsl_begin;
extern const char* const f_7b2a_shaders_filters_sobel_glsl_end;
// Pointers to ./rsc/shaders/filters/freichen.glsl
extern const char* const f_b1ad_shaders_filters_freichen_glsl_begin;
extern const char* const f_b1ad_shaders_filters_freichen_glsl_end;
// Pointers to ./rsc/shaders/filters/kuwahara.glsl
extern const char* const f_fe9d_shaders_filters_kuwahara_glsl_begin;
extern const char* const f_fe9d_shaders_filters_kuwahara_glsl_end;
// Pointers to ./rsc/shaders/filters/pixelate.glsl
extern const char* const f_48cb_shaders_filters_pixelate_glsl_begin;
extern const char* const f_48cb_shaders_filters_pixelate_glsl_end;
// Pointers to ./rsc/shaders/filters/focus.glsl
extern const char* const f_17c8_shaders_filters_focus_glsl_begin;
extern const char* const f_17c8_shaders_filters_focus_glsl_end;
// Pointers to ./rsc/shaders/filters/denoise.glsl
extern const char* const f_0be3_shaders_filters_denoise_glsl_begin;
extern const char* const f_0be3_shaders_filters_denoise_glsl_end;
// Pointers to ./rsc/shaders/filters/noise.glsl
extern const char* const f_154f_shaders_filters_noise_glsl_begin;
extern const char* const f_154f_shaders_filters_noise_glsl_end;
// Pointers to ./rsc/shaders/filters/grain.glsl
extern const char* const f_9d77_shaders_filters_grain_glsl_begin;
extern const char* const f_9d77_shaders_filters_grain_glsl_end;
// Pointers to ./rsc/shaders/filters/stippling.glsl
extern const char* const f_6ddd_shaders_filters_stippling_glsl_begin;
extern const char* const f_6ddd_shaders_filters_stippling_glsl_end;
// Pointers to ./rsc/shaders/filters/dithering.glsl
extern const char* const f_bb94_shaders_filters_dithering_glsl_begin;
extern const char* const f_bb94_shaders_filters_dithering_glsl_end;
// Pointers to ./rsc/shaders/filters/erosion.glsl
extern const char* const f_176c_shaders_filters_erosion_glsl_begin;
extern const char* const f_176c_shaders_filters_erosion_glsl_end;
// Pointers to ./rsc/shaders/filters/dilation.glsl
extern const char* const f_38c2_shaders_filters_dilation_glsl_begin;
extern const char* const f_38c2_shaders_filters_dilation_glsl_end;
// Pointers to ./rsc/shaders/filters/tophat.glsl
extern const char* const f_3b2e_shaders_filters_tophat_glsl_begin;
extern const char* const f_3b2e_shaders_filters_tophat_glsl_end;
// Pointers to ./rsc/shaders/filters/blackhat.glsl
extern const char* const f_4bbf_shaders_filters_blackhat_glsl_begin;
extern const char* const f_4bbf_shaders_filters_blackhat_glsl_end;
}

namespace {

const cmrc::detail::index_type&
get_root_index() {
    static cmrc::detail::directory root_directory_;
    static cmrc::detail::file_or_directory root_directory_fod{root_directory_};
    static cmrc::detail::index_type root_index;
    root_index.emplace("", &root_directory_fod);
    struct dir_inl {
        class cmrc::detail::directory& directory;
    };
    dir_inl root_directory_dir{root_directory_};
    (void)root_directory_dir;
    static auto f_980d_fonts_dir = root_directory_dir.directory.add_subdir("fonts");
    root_index.emplace("fonts", &f_980d_fonts_dir.index_entry);
    static auto f_1aa3_shaders_dir = root_directory_dir.directory.add_subdir("shaders");
    root_index.emplace("shaders", &f_1aa3_shaders_dir.index_entry);
    static auto f_59b5_images_dir = root_directory_dir.directory.add_subdir("images");
    root_index.emplace("images", &f_59b5_images_dir.index_entry);
    static auto f_09bc_mesh_dir = root_directory_dir.directory.add_subdir("mesh");
    root_index.emplace("mesh", &f_09bc_mesh_dir.index_entry);
    static auto f_9a75_shaders_filters_dir = f_1aa3_shaders_dir.directory.add_subdir("filters");
    root_index.emplace("shaders/filters", &f_9a75_shaders_filters_dir.index_entry);
    root_index.emplace(
        "fonts/Hack-Regular.ttf",
        f_980d_fonts_dir.directory.add_file(
            "Hack-Regular.ttf",
            res_chars::f_268f_fonts_Hack_Regular_ttf_begin,
            res_chars::f_268f_fonts_Hack_Regular_ttf_end
        )
    );
    root_index.emplace(
        "fonts/Roboto-Regular.ttf",
        f_980d_fonts_dir.directory.add_file(
            "Roboto-Regular.ttf",
            res_chars::f_1377_fonts_Roboto_Regular_ttf_begin,
            res_chars::f_1377_fonts_Roboto_Regular_ttf_end
        )
    );
    root_index.emplace(
        "fonts/Roboto-Bold.ttf",
        f_980d_fonts_dir.directory.add_file(
            "Roboto-Bold.ttf",
            res_chars::f_dc41_fonts_Roboto_Bold_ttf_begin,
            res_chars::f_dc41_fonts_Roboto_Bold_ttf_end
        )
    );
    root_index.emplace(
        "fonts/Roboto-Italic.ttf",
        f_980d_fonts_dir.directory.add_file(
            "Roboto-Italic.ttf",
            res_chars::f_6fe2_fonts_Roboto_Italic_ttf_begin,
            res_chars::f_6fe2_fonts_Roboto_Italic_ttf_end
        )
    );
    root_index.emplace(
        "fonts/fa-regular-400.ttf",
        f_980d_fonts_dir.directory.add_file(
            "fa-regular-400.ttf",
            res_chars::f_8ea3_fonts_fa_regular_400_ttf_begin,
            res_chars::f_8ea3_fonts_fa_regular_400_ttf_end
        )
    );
    root_index.emplace(
        "fonts/fa-solid-900.ttf",
        f_980d_fonts_dir.directory.add_file(
            "fa-solid-900.ttf",
            res_chars::f_2f86_fonts_fa_solid_900_ttf_begin,
            res_chars::f_2f86_fonts_fa_solid_900_ttf_end
        )
    );
    root_index.emplace(
        "shaders/simple.fs",
        f_1aa3_shaders_dir.directory.add_file(
            "simple.fs",
            res_chars::f_fb3e_shaders_simple_fs_begin,
            res_chars::f_fb3e_shaders_simple_fs_end
        )
    );
    root_index.emplace(
        "shaders/simple.vs",
        f_1aa3_shaders_dir.directory.add_file(
            "simple.vs",
            res_chars::f_0354_shaders_simple_vs_begin,
            res_chars::f_0354_shaders_simple_vs_end
        )
    );
    root_index.emplace(
        "shaders/image.fs",
        f_1aa3_shaders_dir.directory.add_file(
            "image.fs",
            res_chars::f_8148_shaders_image_fs_begin,
            res_chars::f_8148_shaders_image_fs_end
        )
    );
    root_index.emplace(
        "shaders/mask_elipse.fs",
        f_1aa3_shaders_dir.directory.add_file(
            "mask_elipse.fs",
            res_chars::f_00f6_shaders_mask_elipse_fs_begin,
            res_chars::f_00f6_shaders_mask_elipse_fs_end
        )
    );
    root_index.emplace(
        "shaders/mask_box.fs",
        f_1aa3_shaders_dir.directory.add_file(
            "mask_box.fs",
            res_chars::f_006d_shaders_mask_box_fs_begin,
            res_chars::f_006d_shaders_mask_box_fs_end
        )
    );
    root_index.emplace(
        "shaders/mask_round.fs",
        f_1aa3_shaders_dir.directory.add_file(
            "mask_round.fs",
            res_chars::f_5a1d_shaders_mask_round_fs_begin,
            res_chars::f_5a1d_shaders_mask_round_fs_end
        )
    );
    root_index.emplace(
        "shaders/mask_horizontal.fs",
        f_1aa3_shaders_dir.directory.add_file(
            "mask_horizontal.fs",
            res_chars::f_72f7_shaders_mask_horizontal_fs_begin,
            res_chars::f_72f7_shaders_mask_horizontal_fs_end
        )
    );
    root_index.emplace(
        "shaders/mask_vertical.fs",
        f_1aa3_shaders_dir.directory.add_file(
            "mask_vertical.fs",
            res_chars::f_7f72_shaders_mask_vertical_fs_begin,
            res_chars::f_7f72_shaders_mask_vertical_fs_end
        )
    );
    root_index.emplace(
        "shaders/mask_draw.fs",
        f_1aa3_shaders_dir.directory.add_file(
            "mask_draw.fs",
            res_chars::f_f5e2_shaders_mask_draw_fs_begin,
            res_chars::f_f5e2_shaders_mask_draw_fs_end
        )
    );
    root_index.emplace(
        "shaders/image.vs",
        f_1aa3_shaders_dir.directory.add_file(
            "image.vs",
            res_chars::f_c8bb_shaders_image_vs_begin,
            res_chars::f_c8bb_shaders_image_vs_end
        )
    );
    root_index.emplace(
        "shaders/imageprocessing.fs",
        f_1aa3_shaders_dir.directory.add_file(
            "imageprocessing.fs",
            res_chars::f_e055_shaders_imageprocessing_fs_begin,
            res_chars::f_e055_shaders_imageprocessing_fs_end
        )
    );
    root_index.emplace(
        "shaders/imageblending.fs",
        f_1aa3_shaders_dir.directory.add_file(
            "imageblending.fs",
            res_chars::f_846f_shaders_imageblending_fs_begin,
            res_chars::f_846f_shaders_imageblending_fs_end
        )
    );
    root_index.emplace(
        "images/mask_vignette.png",
        f_59b5_images_dir.directory.add_file(
            "mask_vignette.png",
            res_chars::f_70a1_images_mask_vignette_png_begin,
            res_chars::f_70a1_images_mask_vignette_png_end
        )
    );
    root_index.emplace(
        "images/mask_halo.png",
        f_59b5_images_dir.directory.add_file(
            "mask_halo.png",
            res_chars::f_7a4f_images_mask_halo_png_begin,
            res_chars::f_7a4f_images_mask_halo_png_end
        )
    );
    root_index.emplace(
        "images/mask_glow.png",
        f_59b5_images_dir.directory.add_file(
            "mask_glow.png",
            res_chars::f_b5d8_images_mask_glow_png_begin,
            res_chars::f_b5d8_images_mask_glow_png_end
        )
    );
    root_index.emplace(
        "images/mask_circle.png",
        f_59b5_images_dir.directory.add_file(
            "mask_circle.png",
            res_chars::f_6f49_images_mask_circle_png_begin,
            res_chars::f_6f49_images_mask_circle_png_end
        )
    );
    root_index.emplace(
        "images/mask_roundcorner.png",
        f_59b5_images_dir.directory.add_file(
            "mask_roundcorner.png",
            res_chars::f_755b_images_mask_roundcorner_png_begin,
            res_chars::f_755b_images_mask_roundcorner_png_end
        )
    );
    root_index.emplace(
        "images/mask_linear_top.png",
        f_59b5_images_dir.directory.add_file(
            "mask_linear_top.png",
            res_chars::f_dab6_images_mask_linear_top_png_begin,
            res_chars::f_dab6_images_mask_linear_top_png_end
        )
    );
    root_index.emplace(
        "images/mask_linear_bottom.png",
        f_59b5_images_dir.directory.add_file(
            "mask_linear_bottom.png",
            res_chars::f_a91e_images_mask_linear_bottom_png_begin,
            res_chars::f_a91e_images_mask_linear_bottom_png_end
        )
    );
    root_index.emplace(
        "images/mask_linear_left.png",
        f_59b5_images_dir.directory.add_file(
            "mask_linear_left.png",
            res_chars::f_b507_images_mask_linear_left_png_begin,
            res_chars::f_b507_images_mask_linear_left_png_end
        )
    );
    root_index.emplace(
        "images/mask_linear_right.png",
        f_59b5_images_dir.directory.add_file(
            "mask_linear_right.png",
            res_chars::f_fc77_images_mask_linear_right_png_begin,
            res_chars::f_fc77_images_mask_linear_right_png_end
        )
    );
    root_index.emplace(
        "images/vimix_256x256.png",
        f_59b5_images_dir.directory.add_file(
            "vimix_256x256.png",
            res_chars::f_73e4_images_vimix_256x256_png_begin,
            res_chars::f_73e4_images_vimix_256x256_png_end
        )
    );
    root_index.emplace(
        "images/icons.dds",
        f_59b5_images_dir.directory.add_file(
            "icons.dds",
            res_chars::f_4723_images_icons_dds_begin,
            res_chars::f_4723_images_icons_dds_end
        )
    );
    root_index.emplace(
        "images/gradient_0_cross_linear.png",
        f_59b5_images_dir.directory.add_file(
            "gradient_0_cross_linear.png",
            res_chars::f_60ea_images_gradient_0_cross_linear_png_begin,
            res_chars::f_60ea_images_gradient_0_cross_linear_png_end
        )
    );
    root_index.emplace(
        "images/gradient_1_black_linear.png",
        f_59b5_images_dir.directory.add_file(
            "gradient_1_black_linear.png",
            res_chars::f_b573_images_gradient_1_black_linear_png_begin,
            res_chars::f_b573_images_gradient_1_black_linear_png_end
        )
    );
    root_index.emplace(
        "images/gradient_2_cross_quad.png",
        f_59b5_images_dir.directory.add_file(
            "gradient_2_cross_quad.png",
            res_chars::f_c74b_images_gradient_2_cross_quad_png_begin,
            res_chars::f_c74b_images_gradient_2_cross_quad_png_end
        )
    );
    root_index.emplace(
        "images/gradient_3_black_quad.png",
        f_59b5_images_dir.directory.add_file(
            "gradient_3_black_quad.png",
            res_chars::f_ac10_images_gradient_3_black_quad_png_begin,
            res_chars::f_ac10_images_gradient_3_black_quad_png_end
        )
    );
    root_index.emplace(
        "images/transparencygrid.png",
        f_59b5_images_dir.directory.add_file(
            "transparencygrid.png",
            res_chars::f_ccc5_images_transparencygrid_png_begin,
            res_chars::f_ccc5_images_transparencygrid_png_end
        )
    );
    root_index.emplace(
        "images/shadow.dds",
        f_59b5_images_dir.directory.add_file(
            "shadow.dds",
            res_chars::f_bbc6_images_shadow_dds_begin,
            res_chars::f_bbc6_images_shadow_dds_end
        )
    );
    root_index.emplace(
        "images/glow.dds",
        f_59b5_images_dir.directory.add_file(
            "glow.dds",
            res_chars::f_8f14_images_glow_dds_begin,
            res_chars::f_8f14_images_glow_dds_end
        )
    );
    root_index.emplace(
        "images/checker.dds",
        f_59b5_images_dir.directory.add_file(
            "checker.dds",
            res_chars::f_e581_images_checker_dds_begin,
            res_chars::f_e581_images_checker_dds_end
        )
    );
    root_index.emplace(
        "images/shadow_perspective.dds",
        f_59b5_images_dir.directory.add_file(
            "shadow_perspective.dds",
            res_chars::f_673f_images_shadow_perspective_dds_begin,
            res_chars::f_673f_images_shadow_perspective_dds_end
        )
    );
    root_index.emplace(
        "images/soft_shadow.dds",
        f_59b5_images_dir.directory.add_file(
            "soft_shadow.dds",
            res_chars::f_77e4_images_soft_shadow_dds_begin,
            res_chars::f_77e4_images_soft_shadow_dds_end
        )
    );
    root_index.emplace(
        "mesh/disk.ply",
        f_09bc_mesh_dir.directory.add_file(
            "disk.ply",
            res_chars::f_a034_mesh_disk_ply_begin,
            res_chars::f_a034_mesh_disk_ply_end
        )
    );
    root_index.emplace(
        "mesh/circle.ply",
        f_09bc_mesh_dir.directory.add_file(
            "circle.ply",
            res_chars::f_c899_mesh_circle_ply_begin,
            res_chars::f_c899_mesh_circle_ply_end
        )
    );
    root_index.emplace(
        "mesh/corner.ply",
        f_09bc_mesh_dir.directory.add_file(
            "corner.ply",
            res_chars::f_43d9_mesh_corner_ply_begin,
            res_chars::f_43d9_mesh_corner_ply_end
        )
    );
    root_index.emplace(
        "mesh/shadow.ply",
        f_09bc_mesh_dir.directory.add_file(
            "shadow.ply",
            res_chars::f_0c34_mesh_shadow_ply_begin,
            res_chars::f_0c34_mesh_shadow_ply_end
        )
    );
    root_index.emplace(
        "mesh/glow.ply",
        f_09bc_mesh_dir.directory.add_file(
            "glow.ply",
            res_chars::f_525f_mesh_glow_ply_begin,
            res_chars::f_525f_mesh_glow_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_round_left.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_round_left.ply",
            res_chars::f_2c07_mesh_border_round_left_ply_begin,
            res_chars::f_2c07_mesh_border_round_left_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_round.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_round.ply",
            res_chars::f_4b70_mesh_border_round_ply_begin,
            res_chars::f_4b70_mesh_border_round_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_top.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_top.ply",
            res_chars::f_09c1_mesh_border_top_ply_begin,
            res_chars::f_09c1_mesh_border_top_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_perspective_round_left.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_perspective_round_left.ply",
            res_chars::f_7cae_mesh_border_perspective_round_left_ply_begin,
            res_chars::f_7cae_mesh_border_perspective_round_left_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_perspective_round.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_perspective_round.ply",
            res_chars::f_d0bc_mesh_border_perspective_round_ply_begin,
            res_chars::f_d0bc_mesh_border_perspective_round_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_perspective_top.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_perspective_top.ply",
            res_chars::f_3d62_mesh_border_perspective_top_ply_begin,
            res_chars::f_3d62_mesh_border_perspective_top_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_sharp.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_sharp.ply",
            res_chars::f_1eb7_mesh_border_sharp_ply_begin,
            res_chars::f_1eb7_mesh_border_sharp_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_large_round_left.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_large_round_left.ply",
            res_chars::f_1c1e_mesh_border_large_round_left_ply_begin,
            res_chars::f_1c1e_mesh_border_large_round_left_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_large_round.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_large_round.ply",
            res_chars::f_5d7b_mesh_border_large_round_ply_begin,
            res_chars::f_5d7b_mesh_border_large_round_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_large_top.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_large_top.ply",
            res_chars::f_9453_mesh_border_large_top_ply_begin,
            res_chars::f_9453_mesh_border_large_top_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_handles_rotation.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_handles_rotation.ply",
            res_chars::f_0f1d_mesh_border_handles_rotation_ply_begin,
            res_chars::f_0f1d_mesh_border_handles_rotation_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_handles_scale.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_handles_scale.ply",
            res_chars::f_e969_mesh_border_handles_scale_ply_begin,
            res_chars::f_e969_mesh_border_handles_scale_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_handles_overlay.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_handles_overlay.ply",
            res_chars::f_6aea_mesh_border_handles_overlay_ply_begin,
            res_chars::f_6aea_mesh_border_handles_overlay_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_handles_overlay_filled.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_handles_overlay_filled.ply",
            res_chars::f_f32e_mesh_border_handles_overlay_filled_ply_begin,
            res_chars::f_f32e_mesh_border_handles_overlay_filled_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_handles_sharp.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_handles_sharp.ply",
            res_chars::f_359c_mesh_border_handles_sharp_ply_begin,
            res_chars::f_359c_mesh_border_handles_sharp_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_handles_menu.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_handles_menu.ply",
            res_chars::f_a958_mesh_border_handles_menu_ply_begin,
            res_chars::f_a958_mesh_border_handles_menu_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_handles_crop.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_handles_crop.ply",
            res_chars::f_5b0d_mesh_border_handles_crop_ply_begin,
            res_chars::f_5b0d_mesh_border_handles_crop_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_handles_lock.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_handles_lock.ply",
            res_chars::f_228f_mesh_border_handles_lock_ply_begin,
            res_chars::f_228f_mesh_border_handles_lock_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_handles_lock_open.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_handles_lock_open.ply",
            res_chars::f_fdf9_mesh_border_handles_lock_open_ply_begin,
            res_chars::f_fdf9_mesh_border_handles_lock_open_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_handles_shadow.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_handles_shadow.ply",
            res_chars::f_c171_mesh_border_handles_shadow_ply_begin,
            res_chars::f_c171_mesh_border_handles_shadow_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_large_sharp.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_large_sharp.ply",
            res_chars::f_7b54_mesh_border_large_sharp_ply_begin,
            res_chars::f_7b54_mesh_border_large_sharp_ply_end
        )
    );
    root_index.emplace(
        "mesh/border_vertical_overlay.ply",
        f_09bc_mesh_dir.directory.add_file(
            "border_vertical_overlay.ply",
            res_chars::f_c940_mesh_border_vertical_overlay_ply_begin,
            res_chars::f_c940_mesh_border_vertical_overlay_ply_end
        )
    );
    root_index.emplace(
        "mesh/perspective_layer.ply",
        f_09bc_mesh_dir.directory.add_file(
            "perspective_layer.ply",
            res_chars::f_663a_mesh_perspective_layer_ply_begin,
            res_chars::f_663a_mesh_perspective_layer_ply_end
        )
    );
    root_index.emplace(
        "mesh/perspective_axis_left.ply",
        f_09bc_mesh_dir.directory.add_file(
            "perspective_axis_left.ply",
            res_chars::f_df8f_mesh_perspective_axis_left_ply_begin,
            res_chars::f_df8f_mesh_perspective_axis_left_ply_end
        )
    );
    root_index.emplace(
        "mesh/perspective_axis_right.ply",
        f_09bc_mesh_dir.directory.add_file(
            "perspective_axis_right.ply",
            res_chars::f_6057_mesh_perspective_axis_right_ply_begin,
            res_chars::f_6057_mesh_perspective_axis_right_ply_end
        )
    );
    root_index.emplace(
        "mesh/shadow_perspective.ply",
        f_09bc_mesh_dir.directory.add_file(
            "shadow_perspective.ply",
            res_chars::f_5171_mesh_shadow_perspective_ply_begin,
            res_chars::f_5171_mesh_shadow_perspective_ply_end
        )
    );
    root_index.emplace(
        "mesh/point.ply",
        f_09bc_mesh_dir.directory.add_file(
            "point.ply",
            res_chars::f_b922_mesh_point_ply_begin,
            res_chars::f_b922_mesh_point_ply_end
        )
    );
    root_index.emplace(
        "mesh/square_point.ply",
        f_09bc_mesh_dir.directory.add_file(
            "square_point.ply",
            res_chars::f_36de_mesh_square_point_ply_begin,
            res_chars::f_36de_mesh_square_point_ply_end
        )
    );
    root_index.emplace(
        "mesh/triangle_point.ply",
        f_09bc_mesh_dir.directory.add_file(
            "triangle_point.ply",
            res_chars::f_6d8d_mesh_triangle_point_ply_begin,
            res_chars::f_6d8d_mesh_triangle_point_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_video.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_video.ply",
            res_chars::f_428b_mesh_icon_video_ply_begin,
            res_chars::f_428b_mesh_icon_video_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_image.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_image.ply",
            res_chars::f_2046_mesh_icon_image_ply_begin,
            res_chars::f_2046_mesh_icon_image_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_render.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_render.ply",
            res_chars::f_4fa5_mesh_icon_render_ply_begin,
            res_chars::f_4fa5_mesh_icon_render_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_gear.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_gear.ply",
            res_chars::f_3d69_mesh_icon_gear_ply_begin,
            res_chars::f_3d69_mesh_icon_gear_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_camera.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_camera.ply",
            res_chars::f_b0bf_mesh_icon_camera_ply_begin,
            res_chars::f_b0bf_mesh_icon_camera_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_share.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_share.ply",
            res_chars::f_184f_mesh_icon_share_ply_begin,
            res_chars::f_184f_mesh_icon_share_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_clone.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_clone.ply",
            res_chars::f_998e_mesh_icon_clone_ply_begin,
            res_chars::f_998e_mesh_icon_clone_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_vimix.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_vimix.ply",
            res_chars::f_3382_mesh_icon_vimix_ply_begin,
            res_chars::f_3382_mesh_icon_vimix_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_group_vimix.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_group_vimix.ply",
            res_chars::f_7d7f_mesh_icon_group_vimix_ply_begin,
            res_chars::f_7d7f_mesh_icon_group_vimix_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_circles.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_circles.ply",
            res_chars::f_7f41_mesh_icon_circles_ply_begin,
            res_chars::f_7f41_mesh_icon_circles_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_dots.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_dots.ply",
            res_chars::f_5d38_mesh_icon_dots_ply_begin,
            res_chars::f_5d38_mesh_icon_dots_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_empty.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_empty.ply",
            res_chars::f_1faf_mesh_icon_empty_ply_begin,
            res_chars::f_1faf_mesh_icon_empty_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_lock.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_lock.ply",
            res_chars::f_88af_mesh_icon_lock_ply_begin,
            res_chars::f_88af_mesh_icon_lock_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_unlock.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_unlock.ply",
            res_chars::f_7a57_mesh_icon_unlock_ply_begin,
            res_chars::f_7a57_mesh_icon_unlock_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_circle.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_circle.ply",
            res_chars::f_d8af_mesh_icon_circle_ply_begin,
            res_chars::f_d8af_mesh_icon_circle_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_square.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_square.ply",
            res_chars::f_f454_mesh_icon_square_ply_begin,
            res_chars::f_f454_mesh_icon_square_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_cross.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_cross.ply",
            res_chars::f_3a54_mesh_icon_cross_ply_begin,
            res_chars::f_3a54_mesh_icon_cross_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_clock.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_clock.ply",
            res_chars::f_2c00_mesh_icon_clock_ply_begin,
            res_chars::f_2c00_mesh_icon_clock_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_clock_hand.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_clock_hand.ply",
            res_chars::f_16dc_mesh_icon_clock_hand_ply_begin,
            res_chars::f_16dc_mesh_icon_clock_hand_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_grid.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_grid.ply",
            res_chars::f_52ff_mesh_icon_grid_ply_begin,
            res_chars::f_52ff_mesh_icon_grid_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_rightarrow.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_rightarrow.ply",
            res_chars::f_2ed3_mesh_icon_rightarrow_ply_begin,
            res_chars::f_2ed3_mesh_icon_rightarrow_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_crop.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_crop.ply",
            res_chars::f_7797_mesh_icon_crop_ply_begin,
            res_chars::f_7797_mesh_icon_crop_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_eye.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_eye.ply",
            res_chars::f_8ab3_mesh_icon_eye_ply_begin,
            res_chars::f_8ab3_mesh_icon_eye_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_eye_slash.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_eye_slash.ply",
            res_chars::f_8a96_mesh_icon_eye_slash_ply_begin,
            res_chars::f_8a96_mesh_icon_eye_slash_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_vector_square_slash.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_vector_square_slash.ply",
            res_chars::f_d131_mesh_icon_vector_square_slash_ply_begin,
            res_chars::f_d131_mesh_icon_vector_square_slash_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_cube.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_cube.ply",
            res_chars::f_59ce_mesh_icon_cube_ply_begin,
            res_chars::f_59ce_mesh_icon_cube_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_sequence.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_sequence.ply",
            res_chars::f_73ab_mesh_icon_sequence_ply_begin,
            res_chars::f_73ab_mesh_icon_sequence_ply_end
        )
    );
    root_index.emplace(
        "mesh/icon_receive.ply",
        f_09bc_mesh_dir.directory.add_file(
            "icon_receive.ply",
            res_chars::f_73b9_mesh_icon_receive_ply_begin,
            res_chars::f_73b9_mesh_icon_receive_ply_end
        )
    );
    root_index.emplace(
        "mesh/h_line.ply",
        f_09bc_mesh_dir.directory.add_file(
            "h_line.ply",
            res_chars::f_c6d4_mesh_h_line_ply_begin,
            res_chars::f_c6d4_mesh_h_line_ply_end
        )
    );
    root_index.emplace(
        "mesh/h_mark.ply",
        f_09bc_mesh_dir.directory.add_file(
            "h_mark.ply",
            res_chars::f_671f_mesh_h_mark_ply_begin,
            res_chars::f_671f_mesh_h_mark_ply_end
        )
    );
    root_index.emplace(
        "shaders/filters/default.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "default.glsl",
            res_chars::f_d4ff_shaders_filters_default_glsl_begin,
            res_chars::f_d4ff_shaders_filters_default_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/bloom.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "bloom.glsl",
            res_chars::f_9076_shaders_filters_bloom_glsl_begin,
            res_chars::f_9076_shaders_filters_bloom_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/bokeh.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "bokeh.glsl",
            res_chars::f_2462_shaders_filters_bokeh_glsl_begin,
            res_chars::f_2462_shaders_filters_bokeh_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/talk.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "talk.glsl",
            res_chars::f_c6f3_shaders_filters_talk_glsl_begin,
            res_chars::f_c6f3_shaders_filters_talk_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/fisheye.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "fisheye.glsl",
            res_chars::f_c114_shaders_filters_fisheye_glsl_begin,
            res_chars::f_c114_shaders_filters_fisheye_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/blur.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "blur.glsl",
            res_chars::f_72a5_shaders_filters_blur_glsl_begin,
            res_chars::f_72a5_shaders_filters_blur_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/blur_1.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "blur_1.glsl",
            res_chars::f_373d_shaders_filters_blur_1_glsl_begin,
            res_chars::f_373d_shaders_filters_blur_1_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/blur_2.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "blur_2.glsl",
            res_chars::f_f32e_shaders_filters_blur_2_glsl_begin,
            res_chars::f_f32e_shaders_filters_blur_2_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/hashedblur.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "hashedblur.glsl",
            res_chars::f_3f8b_shaders_filters_hashedblur_glsl_begin,
            res_chars::f_3f8b_shaders_filters_hashedblur_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/sharp.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "sharp.glsl",
            res_chars::f_98e8_shaders_filters_sharp_glsl_begin,
            res_chars::f_98e8_shaders_filters_sharp_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/sharpen.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "sharpen.glsl",
            res_chars::f_335b_shaders_filters_sharpen_glsl_begin,
            res_chars::f_335b_shaders_filters_sharpen_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/sharpen_1.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "sharpen_1.glsl",
            res_chars::f_8156_shaders_filters_sharpen_1_glsl_begin,
            res_chars::f_8156_shaders_filters_sharpen_1_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/sharpen_2.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "sharpen_2.glsl",
            res_chars::f_f603_shaders_filters_sharpen_2_glsl_begin,
            res_chars::f_f603_shaders_filters_sharpen_2_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/sharpenedge.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "sharpenedge.glsl",
            res_chars::f_46f9_shaders_filters_sharpenedge_glsl_begin,
            res_chars::f_46f9_shaders_filters_sharpenedge_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/chromakey.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "chromakey.glsl",
            res_chars::f_5ae8_shaders_filters_chromakey_glsl_begin,
            res_chars::f_5ae8_shaders_filters_chromakey_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/bilinear.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "bilinear.glsl",
            res_chars::f_a54a_shaders_filters_bilinear_glsl_begin,
            res_chars::f_a54a_shaders_filters_bilinear_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/edge.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "edge.glsl",
            res_chars::f_0d3b_shaders_filters_edge_glsl_begin,
            res_chars::f_0d3b_shaders_filters_edge_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/sobel.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "sobel.glsl",
            res_chars::f_7b2a_shaders_filters_sobel_glsl_begin,
            res_chars::f_7b2a_shaders_filters_sobel_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/freichen.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "freichen.glsl",
            res_chars::f_b1ad_shaders_filters_freichen_glsl_begin,
            res_chars::f_b1ad_shaders_filters_freichen_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/kuwahara.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "kuwahara.glsl",
            res_chars::f_fe9d_shaders_filters_kuwahara_glsl_begin,
            res_chars::f_fe9d_shaders_filters_kuwahara_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/pixelate.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "pixelate.glsl",
            res_chars::f_48cb_shaders_filters_pixelate_glsl_begin,
            res_chars::f_48cb_shaders_filters_pixelate_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/focus.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "focus.glsl",
            res_chars::f_17c8_shaders_filters_focus_glsl_begin,
            res_chars::f_17c8_shaders_filters_focus_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/denoise.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "denoise.glsl",
            res_chars::f_0be3_shaders_filters_denoise_glsl_begin,
            res_chars::f_0be3_shaders_filters_denoise_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/noise.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "noise.glsl",
            res_chars::f_154f_shaders_filters_noise_glsl_begin,
            res_chars::f_154f_shaders_filters_noise_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/grain.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "grain.glsl",
            res_chars::f_9d77_shaders_filters_grain_glsl_begin,
            res_chars::f_9d77_shaders_filters_grain_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/stippling.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "stippling.glsl",
            res_chars::f_6ddd_shaders_filters_stippling_glsl_begin,
            res_chars::f_6ddd_shaders_filters_stippling_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/dithering.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "dithering.glsl",
            res_chars::f_bb94_shaders_filters_dithering_glsl_begin,
            res_chars::f_bb94_shaders_filters_dithering_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/erosion.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "erosion.glsl",
            res_chars::f_176c_shaders_filters_erosion_glsl_begin,
            res_chars::f_176c_shaders_filters_erosion_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/dilation.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "dilation.glsl",
            res_chars::f_38c2_shaders_filters_dilation_glsl_begin,
            res_chars::f_38c2_shaders_filters_dilation_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/tophat.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "tophat.glsl",
            res_chars::f_3b2e_shaders_filters_tophat_glsl_begin,
            res_chars::f_3b2e_shaders_filters_tophat_glsl_end
        )
    );
    root_index.emplace(
        "shaders/filters/blackhat.glsl",
        f_9a75_shaders_filters_dir.directory.add_file(
            "blackhat.glsl",
            res_chars::f_4bbf_shaders_filters_blackhat_glsl_begin,
            res_chars::f_4bbf_shaders_filters_blackhat_glsl_end
        )
    );
    return root_index;
}

}

cmrc::embedded_filesystem get_filesystem() {
    static auto& index = get_root_index();
    return cmrc::embedded_filesystem{index};
}

} // vmix
} // cmrc
    